<html>
<head>
<meta charset="utf-8"/>
<title>Twitter</title>
<header>
<h1>Twitter</h1>
</head>

<body>

{% if user %}


{% if user.username!=None %}
	<p>{{ welcome_message }} {{ user.username }} welcome to the application</p>
	<p>you can {{ url_string }} <a href='{{ url }}'> here</a></p>
	{{template_debug}}


</header>

{% else %}
<p>{{ welcome_message }}</p>
<p>you can {{ url_string }} <a href='{{ url }}'> here</a></p>

</header>

{%	endif %}

{% if user.username==None %}

	<p>Please add a username to your account in order to use Twitter</p>
	<section>

	  <form action= '/' type='submit'>
	    <p>Add Username: </p>
	  </br>
		<input type='text' name = 'username' ></input>

	  <input type='submit' name= 'button' value='Add Username'></input>

	  </form>


	</section>

{% else %}

<div style="float: left;">

<section>

	<form method = "get" action="{{ uri_for('edit', key_id= user.key.id()) }}" type='submit' style="width: 300px;">
		<h4>Username:</h4>
			<div>@{{user.username}}</div>
		<h4>Name:</h4>
			<div>{{user.name}}</div>
		<h4>Bio:</h4>
			<p><div style="height: 10%;width: 90%;">{{user.description}}</div></p>
		<h4>Edit User Information</h4>
		<input type='submit' name= 'button' value='Edit'></input>

	</form>
</section>
</div>

<div style="float: left; margin-left:50px;">
<section>
<div>
	<form action= '/' type='submit'>
    <h4>Whats on your mind? </h4>
	<input type='text' id = 'add_tweet' name = 'add_tweet'></input>

  <input type='submit' name= 'button' value='Tweet!' onclick="return check_empty();"></input>

  </form>
</div>

<div>
	<form action= '/search' type='submit'>
    <h4>Search User: </h4>
	<input type='text' id = 'search_user' name = 'search_user'></input>

  <input type='submit' name= 'button' value='Search User'></input>

	<h4>Search Tweets: </h4>
	<input type='text' id = 'search_tweet' name = 'search_tweets'></input>

	<input type='submit' name= 'button' value='Search Tweets'></input>

  </form>
</div>

	<h3>Timeline:</h3>

	{%	for row in tweets %}
		{%for tweets in row.tweets | sort(attribute='timestamp', reverse=True) %}
	<div style="width: 850px;background-color: #cecdcc;">
		<h4><div style="float:left;">@{{row.username}}</div>
			<div>
			{% if row.username == user.username %}
				<form method = "get" action="{{ uri_for('edit', key_id= user.key.id()) }}" type='submit'>
					<input type="hidden" name="tweet_content" value="{{tweets.content}}"></input>
					<input type= "submit" name="button" value = "Edit Tweet"></input>
					<input type= "submit" name= "button" value = "Delete"></input>
				</form>
			{%	endif	%}

		</div></h4>
		<div >{{tweets.timestamp}}</div>
		<br>
		<div style="font-size: 20px;">{{tweets.content}}</div>
	</div>
		{% endfor %}
	{% endfor %}

	<section>
</div>

{%	endif %}

{% else %}

<p>Hello guest welcome to the application</p>

<p>you can {{ url_string }} <a href='{{ url }}'>here</a></p>

{% endif %}

<script type="text/javascript">

function check_empty(){

  var input=document.getElementById('add_tweet').value;
      var character_limit = 280;
			console.log(input);

			if(!input){
				alert("Please add text to Tweet!")
				return false;
			}

      else if(input && input.length<=character_limit && input.length!=0)
      {
				alert("Tweeted!")
        return true;
      }
      else
      {
        alert('Character limit exceeded');
      return false;
      }


}
</script>

</section>
</body>
</html>


<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}

nav {
  float: left;
  width: 40%;
  background: #ccc;
  padding: 20px;
  height: 300px;
}

article {
  float: left;
  padding: 30px;
  width: 47%;
  background-color: #f1f1f1;

}

section:after {
  content: "";
  display: table;
  clear: both;
}

</style>
